EndpointNotFoundException (Mule ESB 2.2.1 API)
Keywords: org.mule.api.endpoint.EndpointNotFoundException class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api.endpoint
Class EndpointNotFoundException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.mule.api.MuleException
                  org.mule.api.endpoint.EndpointException
                      org.mule.api.endpoint.EndpointNotFoundException

All Implemented Interfaces:
  Serializable

    public class EndpointNotFoundException

extends EndpointException

`EndpointNotFoundException` is thrown when an endpoint name or protocol is specified but a matching endpoint is not registered with the Mule server

See Also:
  Serialized Form

Constructor Summary
`EndpointNotFoundException(Message message)`
`EndpointNotFoundException(Message message, Throwable cause)`
`EndpointNotFoundException(String endpoint)`
`EndpointNotFoundException(Throwable cause)`

Method Summary

Methods inherited from class org.mule.api.MuleException
`addInfo, appendMessage, equals, getDetailedMessage, getExceptionCode, getI18nMessage, getInfo, getMessage, getMessageCode, hashCode, initialise, prependMessage, setExceptionCode, setMessage, setMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EndpointNotFoundException

    public EndpointNotFoundException(String endpoint)

### EndpointNotFoundException

    public EndpointNotFoundException(Message message)

Parameters:
  `message` - the exception message

### EndpointNotFoundException

    public EndpointNotFoundException(Message message,
                                     Throwable cause)

Parameters:
  `message` - the exception message
  `cause` - the exception that cause this exception to be thrown

### EndpointNotFoundException

    public EndpointNotFoundException(Throwable cause)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.